# $Revision: 1.7 $, $Date: 2009/06/16 13:35:58 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Config
%define	pnam	Any
Summary:	Config::Any - Load configuration from different file formats, transparently
Summary(pl.UTF-8):	Config::Any - przezroczyste wczytywanie konfiguracji z różnych formatów plików
Name:		perl-Config-Any
Version:	0.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Config/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8392d962a83c427275dc8711a2450f89
URL:		http://search.cpan.org/dist/Config-Any/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Config-General
BuildRequires:	perl-Config-Tiny
BuildRequires:	perl-JSON
BuildRequires:	perl-Module-Pluggable >= 3.01
BuildRequires:	perl-XML-Simple
BuildRequires:	perl-YAML
BuildRequires:	perl-version
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::Any provides a facility for Perl applications and libraries
to load configuration data from multiple different file formats. It
supports XML, YAML, JSON, Apache-style configuration, Windows INI
files, and even Perl code.

The rationale for this module is as follows: Perl programs are deployed
on many different platforms and integrated with many different
systems. Systems administrators and end users may prefer different
configuration formats than the developers. The flexibility inherent
in a multiple format configuration loader allows different users
to make different choices, without generating extra work for the
developers. As a developer you only need to learn a single interface
to be able to use the power of different configuration formats.

%description -l pl.UTF-8
Config::Any ułatwia aplikacjom i bibliotekom perlowym wczytywanie
danych konfiguracyjnych z wielu różnych formatów plików. Obsługuje
XML, YAML, JSON, konfigurację w stylu Apache'a, pliki Windows INI, a
nawet kod perlowy.

Uzasadnienie istnienia tego modułu jest takie, że programy w Perlu są
wdrażane na wielu różnych platformach i integrowane z wieloma różnymi
systemami. Administratorzy i użytkownicy końcowi mogą preferować inne
formaty konfiguracyjne niż programiści. Elastyczność tkwiąca w
możliwości wczytywania wielu formatów pozwala różnym użytkownikom
dokonywać różnych wyborów bez generowania dodatkowej pracy dla
programistów. Wystarczy, że programista nauczy się jednego interfejsu
i może wykorzystać potęgę różnych formatów konfiguracji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	installdirs=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Config/*.pm
%{perl_vendorlib}/Config/Any
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-Any.spec,v $
Revision 1.7  2009/06/16 13:35:58  amateja
- updated to 0.17

Revision 1.6  2008/03/15 18:20:00  qboosh
- cleanup

Revision 1.5  2008-03-15 17:18:52  qboosh
- unified Source URL

Revision 1.4  2007-12-12 21:19:39  agaran
- up to 0.10, rel 1, builds here

Revision 1.3  2007-03-31 10:54:40  qboosh
- BR: perl-Module-Build

Revision 1.2  2007/03/31 10:08:51  qboosh
- pl

Revision 1.1  2007/03/23 10:13:45  radek
- new
